PipeWire 1.4.8

Loading...
Searching...
No Matches
spa_device_events Struct Reference
SPA » Device

spa_device_events: More...

`#include <spa/monitor/device.h>`

## Data Fields
uint32_t | version
void(* | info )(void *data, const struct spa_device_info *info)
| notify extra information about the device
void(* | result )(void *data, int seq, int res, uint32_t type, const void *result)
| notify a result
void(* | event )(void *data, const struct spa_event *event)
| a device event
void(* | object_info )(void *data, uint32_t id, const struct spa_device_object_info *info)
| info changed for an object managed by the device, info is NULL when the object is removed

## Detailed Description

spa_device_events:

Events are always emitted from the main thread

Examples
  bluez-session.c.

## Field Documentation

## ◆ version

uint32_t spa_device_events::version

## ◆ info

void(* spa_device_events::info) (void *data, const struct spa_device_info *info)

notify extra information about the device

## ◆ result

void(* spa_device_events::result) (void *data, int seq, int res, uint32_t type, const void *result)

notify a result

## ◆ event

void(* spa_device_events::event) (void *data, const struct spa_event *event)

a device event

## ◆ object_info

void(* spa_device_events::object_info) (void *data, uint32_t id, const struct spa_device_object_info *info)

info changed for an object managed by the device, info is NULL when the object is removed

The documentation for this struct was generated from the following file:

- spa/monitor/device.h